import React from 'react';
export type MediaDeviceInfo = {
    deviceId: string;
    facing?: 'environment' | 'front';
    groupId: string;
    kind: 'videoinput' | 'audioinput';
    label: string;
};
/**
 * Exclude types from documentation site, but we should still add doc comments
 * @internal
 */
export interface SDKStreamVideoStore {
    currentAudioDevice?: MediaDeviceInfo;
    currentVideoDevice?: MediaDeviceInfo;
    audioDevices: MediaDeviceInfo[];
    videoDevices: MediaDeviceInfo[];
}
export declare const StreamVideoStoreProvider: (props: React.PropsWithChildren<{}>) => React.JSX.Element, useStreamVideoStoreValue: <SelectorOutput extends MediaDeviceInfo | MediaDeviceInfo[] | undefined>(selector: (store: SDKStreamVideoStore) => SelectorOutput) => SelectorOutput, useStreamVideoStoreSetState: () => (partialStateOrFunc: Partial<SDKStreamVideoStore> | ((prevState: SDKStreamVideoStore) => Partial<SDKStreamVideoStore>)) => void;
//# sourceMappingURL=StreamVideoContext.d.ts.map